<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ChangeDeliveryAppointmentCarsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('delivery_appointment_cars', function (Blueprint $table) {
            $table->dateTime("delivery_time")->nullable()->comment("送达时间");
            $table->dropColumn("status");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('delivery_appointment_cars', function (Blueprint $table) {
            $table->dropColumn("delivery_time");
            $table->tinyInteger("status")->default(0)->comment("状态");
        });
    }
}
